gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.ToggleToolButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes
- Signals

Description

A `ToolItem` containing a toggle button

- Module available since Gtk+ version 2.4

Synopsis

- data ToggleToolButton
- class ToolButtonClass o => ToggleToolButtonClass o
- castToToggleToolButton :: GObjectClass obj => obj -> ToggleToolButton
- gTypeToggleToolButton :: GType
- toToggleToolButton :: ToggleToolButtonClass o => o -> ToggleToolButton
- toggleToolButtonNew :: IO ToggleToolButton
- toggleToolButtonNewFromStock :: StockId -> IO ToggleToolButton
- toggleToolButtonSetActive :: ToggleToolButtonClass self => self -> Bool -> IO ()
- toggleToolButtonGetActive :: ToggleToolButtonClass self => self -> IO Bool
- toggleToolButtonActive :: ToggleToolButtonClass self => Attr self Bool
- onToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self)
- afterToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self)

# Detail

A `ToggleToolButton` is a `ToolItem` that contains a toggle button.

Use `toggleToolButtonNew` to create a new `ToggleToolButton`. Use `toggleToolButtonNewFromStock` to create a new `ToggleToolButton` containing a stock item.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----ToolItem
    | +----ToolButton
    | +----ToggleToolButton
    | +----RadioToolButton

# Types

data ToggleToolButton Source #

#### Instances

Instances details

Eq ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: ToggleToolButton -> ToggleToolButton -> Bool Source # (/=) :: ToggleToolButton -> ToggleToolButton -> Bool Source #
Ord ToggleToolButton Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: ToggleToolButton -> ToggleToolButton -> Ordering Source #

(<) :: ToggleToolButton -> ToggleToolButton -> Bool Source #

(<=) :: ToggleToolButton -> ToggleToolButton -> Bool Source #

(>) :: ToggleToolButton -> ToggleToolButton -> Bool Source #

(>=) :: ToggleToolButton -> ToggleToolButton -> Bool Source #

max :: ToggleToolButton -> ToggleToolButton -> ToggleToolButton Source #

min :: ToggleToolButton -> ToggleToolButton -> ToggleToolButton Source #

GObjectClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: ToggleToolButton -> GObject Source # unsafeCastGObject :: GObject -> ToggleToolButton Source #
BinClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToggleToolButtonClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToolButtonClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToolItemClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ToolButtonClass o => ToggleToolButtonClass o Source #

#### Instances

Instances details

ToggleToolButtonClass RadioToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToggleToolButtonClass ToggleToolButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToToggleToolButton :: GObjectClass obj => obj -> ToggleToolButton Source #

gTypeToggleToolButton :: GType Source #

toToggleToolButton :: ToggleToolButtonClass o => o -> ToggleToolButton Source #

# Constructors

toggleToolButtonNew :: IO ToggleToolButton Source #

Returns a new `ToggleToolButton`

toggleToolButtonNewFromStock Source #

Arguments

:: StockId | `stockId` - the name of the stock item
-> IO ToggleToolButton |

Creates a new `ToggleToolButton` containing the image and text from a stock item.

It is an error if `stockId` is not a name of a stock item.

# Methods

toggleToolButtonSetActive :: ToggleToolButtonClass self => self -> Bool -> IO () Source #

Sets the status of the toggle tool button. Set to `True` if you want the `ToggleButton` to be 'pressed in', and `False` to raise it. This action causes the toggled signal to be emitted.

toggleToolButtonGetActive :: ToggleToolButtonClass self => self -> IO Bool Source #

Queries a `ToggleToolButton` and returns its current state. Returns `True` if the toggle button is pressed in and `False` if it is raised.

# Attributes

toggleToolButtonActive :: ToggleToolButtonClass self => Attr self Bool Source #

If the toggle tool button should be pressed in or not.

Default value: `False`

# Signals

onToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self) Source #

Emitted whenever the toggle tool button changes state.

afterToolButtonToggled :: ToggleToolButtonClass self => self -> IO () -> IO (ConnectId self) Source #

Emitted whenever the toggle tool button changes state.